package com.ruoyi.system.domain;

import com.ruoyi.common.core.domain.entity.SysMenu;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.ArrayList;
import java.util.List;

/**
 * 仓库文件对象 sys_repo
 * 
 * @author lixu
 * @date 2025-05-15
 */
public class SysRepo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 仓库文件Id */
    private Long repoId;

    private Long createBy;
    /** 名称 */
    @Excel(name = "名称")
    private String repoName;

    /** 类别（文件docx、xls、jpg） */
    @Excel(name = "类别", readConverterExp = "文件docx、xls、jpg")
    private String repoType;

    /** 状态（私密、公开） */
    @Excel(name = "状态", readConverterExp = "私密、公开")
    private String repoStatus;

    /** 文件名 */
    @Excel(name = "文件名")
    private String fileName;

    /** 等级（一级只能是目录类型） */
    private Long groupId;

    /** 描述 */
    @Excel(name = "版本")
    private String version;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private Integer isDelete;

    /** url */
    private String  url;

    /** 备注 **/
    private String remark;

    private List<SysMenu> children = new ArrayList<SysMenu>();

    public Long getRepoId() 
    {
        return repoId;
    }

    public void setRepoName(String repoName) 
    {
        this.repoName = repoName;
    }

    public String getRepoName() 
    {
        return repoName;
    }

    public void setRepoType(String repoType) 
    {
        this.repoType = repoType;
    }

    public String getRepoType() 
    {
        return repoType;
    }

    public void setRepoStatus(String repoStatus) 
    {
        this.repoStatus = repoStatus;
    }

    public String getRepoStatus() 
    {
        return repoStatus;
    }

    public void setFileName(String fileName)
    {
        this.fileName = fileName;
    }

    public String getFileName()
    {
        return fileName;
    }

    public void setGroupId(Long groupId)
    {
        this.groupId = groupId;
    }

    public Long getGroupId()
    {
        return groupId;
    }

    public void setVersion(String version)
    {
        this.version = version;
    }

    public String getVersion()
    {
        return version;
    }

    public void setIsDelete(Integer isDelete) 
    {
        this.isDelete = isDelete;
    }

    public Integer getIsDelete() 
    {
        return isDelete;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public void setRemark(String remark)
    {
        this.remark = remark;
    }

    public String getRemark()
    {
        return remark;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("repoId", getRepoId())
            .append("repoName", getRepoName())
            .append("createBy", getCreateBy())
            .append("updateBy", getUpdateBy())
            .append("repoType", getRepoType())
            .append("repoStatus", getRepoStatus())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("fileName", getFileName())
            .append("groupId", getGroupId())
            .append("version", getVersion())
            .append("isDelete", getIsDelete())
            .append("url", getIsDelete())
            .append("remark",getRemark())
            .toString();
    }
}
