package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.SysCompanyTemplate;

/**
 * 企业模板信息 数据层
 * 
 * @author lixu
 * @date 2025-05-21
 */
public interface SysCompanyTemplateMapper 
{
    /**
     * 查询企业模板信息
     * 
     * @param id 企业模板id
     * @return 企业模板信息
     */
    public SysCompanyTemplate selectSysCompanyTemplateById(Long id);

    /**
     * 查询企业模板列表
     * 
     * @param sysCompanyTemplate 企业模板相关信息
     * @return 企业模板集合
     */
    public List<SysCompanyTemplate> selectSysCompanyTemplateList(SysCompanyTemplate sysCompanyTemplate);

    /**
     * 新增企业模板信息
     * 
     * @param sysCompanyTemplate 企业模板信息
     * @return 结果
     */
    public int insertSysCompanyTemplate(SysCompanyTemplate sysCompanyTemplate);

    /**
     * 修改企业模板信息
     * 
     * @param sysCompanyTemplate 修改企业模板信息
     * @return 结果
     */
    public int updateSysCompanyTemplate(SysCompanyTemplate sysCompanyTemplate);

    /**
     * 删除修改企业模板信息
     * 
     * @param id 企业模板id
     * @return 结果
     */
    public int deleteSysCompanyTemplateById(Long id);

    /**
     * 批量删除企业模板信息
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysCompanyTemplateByIds(Long[] ids);
}
