package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.SysRepoHistory;

/**
 * 文件历史表 数据层
 * 
 * @author lixu
 * @date 2025-05-19
 */
public interface SysRepoHistoryMapper 
{
    /**
     * 查询文件历史
     * 
     * @param hId 文件历史ID
     * @return 文件历史
     */
    public SysRepoHistory selectSysRepoHistoryByHId(Long hId);

    /**
     * 根据条件查询文件历史列表
     * 
     * @param sysRepoHistory 文件历史相关的信息
     * @return 文件历史集合
     */
    public List<SysRepoHistory> selectSysRepoHistoryList(SysRepoHistory sysRepoHistory);


    /**
     * 根据条件查询文件历史
     *
     * @param sysRepoHistory 文件历史相关的信息
     * @return 文件历史
     */
    public SysRepoHistory selectSysRepoHistory(SysRepoHistory sysRepoHistory);


    /**
     * 新增文件历史
     * 
     * @param sysRepoHistory 文件历史信息
     * @return 结果
     */
    public int insertSysRepoHistory(SysRepoHistory sysRepoHistory);

    /**
     * 修改文件历史
     * 
     * @param sysRepoHistory 文件历史信息
     * @return 结果
     */
    public int updateSysRepoHistory(SysRepoHistory sysRepoHistory);

    /**
     * 删除文件历史
     * 
     * @param hId 文件历史ID
     * @return 结果
     */
    public int deleteSysRepoHistoryByHId(Long hId);

    /**
     * 批量删除文件历史记录
     * 
     * @param hIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysRepoHistoryByHIds(Long[] hIds);

}
