package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.SysRepo;

/**
 * 仓库文件表 数据层
 * 
 * @author lixu
 * @date 2025-05-15
 */
public interface SysRepoMapper 
{
    /**
     * 查询仓库文件列表
     * 
     * @param repoId 仓库文件ID
     * @return 仓库文件列表
     */
    public SysRepo selectSysRepoByRepoId(Long repoId);

    /**
     * 根据条件查询仓库文件列表
     * 
     * @param sysRepo 仓库文件相关信息
     * @return 仓库文件集合
     */
    public List<SysRepo> selectSysRepoList(SysRepo sysRepo);

    /**
     * 新增仓库文件
     * 
     * @param sysRepo 仓库文件信息
     * @return 结果
     */
    public int insertSysRepo(SysRepo sysRepo);

    /**
     * 修改仓库文件
     * 
     * @param sysRepo 仓库文件信息
     * @return 结果
     */
    public int updateSysRepo(SysRepo sysRepo);

    /**
     * 删除仓库文件
     * 
     * @param repoId 仓库文件ID
     * @return 结果
     */
    public int deleteSysRepoByRepoId(Long repoId);

    /**
     * 批量删除仓库文件
     * 
     * @param repoIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysRepoByRepoIds(Long[] repoIds);
}
