package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.SysRepoHistory;

/**
 * 文件历史Service接口
 * 
 * @author lixu
 * @date 2025-05-19
 */
public interface ISysRepoHistoryService 
{
    /**
     * 查询仓库历史版本
     * 
     * @param hId 仓库历史版本主键
     * @return 仓库历史记录
     */
    public SysRepoHistory selectSysRepoHistoryByHId(Long hId);

    /**
     * 查询仓库历史版本列表
     * 
     * @param sysRepoHistory 仓库历史版本
     * @return 仓库历史版本集合
     */
    public List<SysRepoHistory> selectSysRepoHistoryList(SysRepoHistory sysRepoHistory);

    /**
     * 查询仓库历史版本列表
     *
     * @param sysRepoHistory 仓库历史版本
     * @return 仓库历史版本集合
     */
    public SysRepoHistory selectSysRepoHistory(SysRepoHistory sysRepoHistory);


    /**
     * 新增仓库历史版本
     * 
     * @param sysRepoHistory 仓库历史版本
     * @return 结果
     */
    public int insertSysRepoHistory(SysRepoHistory sysRepoHistory);

    /**
     * 修改仓库历史版本
     * 
     * @param sysRepoHistory 仓库历史版本
     * @return 结果
     */
    public int updateSysRepoHistory(SysRepoHistory sysRepoHistory);

    /**
     * 批量删除仓库历史版本
     * 
     * @param hIds 需要删除的仓库历史版本主键集合
     * @return 结果
     */
    public int deleteSysRepoHistoryByHIds(Long[] hIds);

    /**
     * 删除仓库历史版本信息
     * 
     * @param hId 仓库历史版本主键
     * @return 结果
     */
    public int deleteSysRepoHistoryByHId(Long hId);

//    /**
//     * 获取仓库历史版本信息
//     *
//     * @param repoId 文件仓库ID
//     * @return 结果
//     */
//    List<SysRepoHistory> selectSysRepoHistoryListbyRepoId(Long repoId);
}
