package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.SysRepo;

/**
 * 仓库文件Service接口
 * 
 * @author lixu
 * @date 2025-05-15
 */
public interface ISysRepoService 
{
    /**
     * 查询文化仓库
     * 
     * @param repoId 文件仓库主键
     * @return 文件仓库
     */
    public SysRepo selectSysRepoByRepoId(Long repoId);

    /**
     * 查询文件仓库列表
     * 
     * @param sysRepo 文件仓库
     * @return 文件仓库
     */
    public List<SysRepo> selectSysRepoList(SysRepo sysRepo);

    /**
     * 新增文件仓库
     * 
     * @param sysRepo 文件仓库
     * @return 结果
     */
    public int insertSysRepo(SysRepo sysRepo);

    /**
     * 修改文件仓库
     * 
     * @param sysRepo 文件仓库
     * @return 结果
     */
    public int updateSysRepo(SysRepo sysRepo);

    /**
     * 批量删除文件仓库
     * 
     * @param repoIds 需要删除的文件仓库主键集合
     * @return 结果
     */
    public int deleteSysRepoByRepoIds(Long[] repoIds);

    /**
     * 删除文件仓库信息
     * 
     * @param repoId 文件仓库主键
     * @return 结果
     */
    public int deleteSysRepoByRepoId(Long repoId);
}
