package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.SysCompanyTemplateMapper;
import com.ruoyi.system.domain.SysCompanyTemplate;
import com.ruoyi.system.service.ISysCompanyTemplateService;

/**
 * 企业模板业务层处理
 * 
 * @author lixu
 * @date 2025-05-21
 */
@Service
public class SysCompanyTemplateServiceImpl implements ISysCompanyTemplateService 
{
    @Autowired
    private SysCompanyTemplateMapper sysCompanyTemplateMapper;

    /**
     * 查询企业模板信息
     *
     * @param id 企业模板id
     * @return 企业模板信息
     */
    @Override
    public SysCompanyTemplate selectSysCompanyTemplateById(Long id)
    {
        return sysCompanyTemplateMapper.selectSysCompanyTemplateById(id);
    }

    /**
     * 查询企业模板列表
     *
     * @param sysCompanyTemplate 企业模板相关信息
     * @return 企业模板集合
     */
    @Override
    public List<SysCompanyTemplate> selectSysCompanyTemplateList(SysCompanyTemplate sysCompanyTemplate)
    {
        return sysCompanyTemplateMapper.selectSysCompanyTemplateList(sysCompanyTemplate);
    }

    /**
     * 新增企业模板信息
     *
     * @param sysCompanyTemplate 企业相关模板信息
     * @return 结果
     */
    @Override
    public int insertSysCompanyTemplate(SysCompanyTemplate sysCompanyTemplate)
    {
        return sysCompanyTemplateMapper.insertSysCompanyTemplate(sysCompanyTemplate);
    }

    /**
     * 修改企业模板信息
     *
     * @param sysCompanyTemplate 修改企业模板信息
     * @return 结果
     */
    @Override
    public int updateSysCompanyTemplate(SysCompanyTemplate sysCompanyTemplate)
    {
        return sysCompanyTemplateMapper.updateSysCompanyTemplate(sysCompanyTemplate);
    }

    /**
     * 批量删除企业模板信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    @Override
    public int deleteSysCompanyTemplateByIds(Long[] ids)
    {
        return sysCompanyTemplateMapper.deleteSysCompanyTemplateByIds(ids);
    }

    /**
     * 删除修改企业模板信息
     *
     * @param id 企业模板id
     * @return 结果
     */
    @Override
    public int deleteSysCompanyTemplateById(Long id)
    {
        return sysCompanyTemplateMapper.deleteSysCompanyTemplateById(id);
    }
}
