import request from '@/utils/request'

// 查询菜单列表
export function listRepo(query) {
  return request({
    url: '/system/repo/list',
    method: 'get',
    params: query
  })
}

// 查询文件详细
export function getRepo(repoId) {
  return request({
    url: '/system/repo/' + repoId,
    method: 'get'
  })
}

// 新增文件
export function addRepo(data) {
  return request({
    url: '/system/repo',
    method: 'post',
    data: data
  })
}

// 修改菜单
export function updateRepo(data) {
  return request({
    url: '/system/repo',
    method: 'put',
    data: data
  })
}

// 删除菜单
export function delRepo(repoId) {
  return request({
    url: '/system/repo/' + repoId,
    method: 'delete'
  })
}

// 获取版本列表
export function getVersion(repoId) {
  return request({
    url: '/system/repo/version/' + repoId,
    method: 'get'
  })
}

// 更新文件版本
export function updateVersion(data) {
  return request({
    url: '/system/repo/upload_file',
    method: 'post',
    data: data
  })
}
