/*
 Navicat MySQL Data Transfer

 Source Server         : bishe
 Source Server Type    : MySQL
 Source Server Version : 50741
 Source Host           : localhost:3306
 Source Schema         : ry-vue

 Target Server Type    : MySQL
 Target Server Version : 50741
 File Encoding         : 65001

 Date: 20/05/2025 10:08:28
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for sys_repo
-- ----------------------------
DROP TABLE IF EXISTS `sys_repo`;
CREATE TABLE `sys_repo`  (
  `repo_Id` bigint(20) NOT NULL AUTO_INCREMENT,
  `repo_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '名称',
  `create_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '创建人',
  `update_by` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '更新人',
  `repo_type` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '文件类型(docx、xls等)',
  `repo_status` enum('Private','Public') CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '状态（私密、公开）',
  `create_Time` datetime(0) DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `update_Time` datetime(0) DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP(0) COMMENT '更改时间',
  `file_name` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '文件名',
  `group_id` bigint(20) DEFAULT NULL COMMENT '文件组别',
  `version` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '文件版本',
  `is_delete` tinyint(4) DEFAULT 0 COMMENT '是否删除',
  `url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '文件地址',
  PRIMARY KEY (`repo_Id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 7 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '仓库文件表' ROW_FORMAT = Dynamic;

SET FOREIGN_KEY_CHECKS = 1;
